MIX_GetTrackFadeFrames(3)

NAME
MIX_GetTrackFadeFrames - Query whether a given track is fading.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

Sint64 MIX_GetTrackFadeFrames(MIX_Track *track);

DESCRIPTION
This specifically checks if the track is _not stopped_ (paused or playing), and it is fading in or out, and returns the number of frames remaining in the fade.

If fading out, the returned value will be negative. When fading in, the returned value will be positive. If not fading, this function returns zero.

On various errors (MIX_Init() was not called, the track is NULL), this returns 0, but there is no mechanism to distinguish errors from tracks that aren't fading.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns less than 0 if the track is fading out, greater than 0 if fading in, zero otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.